Package org.eclipse.birt.core.config

# Class FileConfigVarManager

java.lang.Object
org.eclipse.birt.core.config.SystemConfigVarManager
org.eclipse.birt.core.config.FileConfigVarManager

public class FileConfigVarManager extends SystemConfigVarManager
Defines a configuration manager class that loads configuration variables from a file. In case the file does not contain a specified config var, the system config var manager is used as backup.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`configFileLoaded`
is the configuration file loaded
`protected String`
`configFileName`
configuration file name
`protected Properties`
`fileConfigVars`
Configuration variables retrieved from file

## Constructor Summary

Constructors
Constructor
Description
`FileConfigVarManager()`
Constructor
`FileConfigVarManager(String configFileName)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getConfigVar(String key)`

### Methods inherited from class org.eclipse.birt.core.config.SystemConfigVarManager

`getConfigBoolean, getConfigInteger, getConfigInteger, getConfigVar`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### fileConfigVars

protected Properties fileConfigVars
Configuration variables retrieved from file

### configFileName

protected String configFileName
configuration file name

### configFileLoaded

protected boolean configFileLoaded
is the configuration file loaded

## Constructor Details

### FileConfigVarManager

public FileConfigVarManager()
Constructor

### FileConfigVarManager

public FileConfigVarManager(String configFileName)

Parameters:
  `configFileName` - the configuration file name

## Method Details

### getConfigVar

public String getConfigVar(String key)

Overrides:
  `getConfigVar` in class `SystemConfigVarManager`
Parameters:
  `key` - the configuration variable name
Returns:
  The value for the configuration variable. null if it is not set.